<?php
/**
 * @file
 * ocio_featured_slideshow.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function ocio_featured_slideshow_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'featured_slideshow';
  $view->description = '';
  $view->tag = 'OCIO Featured Slideshow';
  $view->base_table = 'node';
  $view->human_name = 'Featured Slideshow';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 't';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'edit any featured_slide content';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'flexslider';
  $handler->display->display_options['style_options']['optionset'] = 'ocio_flexslider';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Summary */
  $handler->display->display_options['fields']['field_featured_summary']['id'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['table'] = 'field_data_field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['field'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['label'] = '';
  $handler->display->display_options['fields']['field_featured_summary']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_featured_summary']['element_label_colon'] = FALSE;
  /* Field: Field: Link */
  $handler->display->display_options['fields']['field_ocio_link']['id'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['table'] = 'field_data_field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['field'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['label'] = '';
  $handler->display->display_options['fields']['field_ocio_link']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ocio_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ocio_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_ocio_link']['type'] = 'link_plain';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_basic_image_image']['id'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['table'] = 'field_data_field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['field'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['label'] = '';
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['text'] = '[field_basic_image_image]
<span class="flex-meta">
<span class="flex-title">[title]</span>
<span class="flex-summary">[field_featured_summary]</span>
</span>
';
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['path'] = '[field_ocio_link]';
  $handler->display->display_options['fields']['field_basic_image_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_basic_image_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_basic_image_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Sort criterion: Draggableviews: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'draggableviews_structure';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_view'] = 'featured_slideshow:page_1';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_arguments'] = 'none';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_new_items_bottom_list'] = 1;
  /* Contextual filter: Content: Assign to slideshow (field_assign_to_slideshow) */
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['id'] = 'field_assign_to_slideshow_tid';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['table'] = 'field_data_field_assign_to_slideshow';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['field'] = 'field_assign_to_slideshow_tid';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['validate']['type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['field_assign_to_slideshow_tid']['validate_options']['vocabularies'] = array(
    'featured_slideshow' => 'featured_slideshow',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'featured_slide' => 'featured_slide',
  );

  /* Display: Slideshow Block */
  $handler = $view->new_display('block', 'Slideshow Block', 'block');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['row_class'] = 'carousel--content';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Slide Text Color */
  $handler->display->display_options['fields']['field_banner_image_text_color']['id'] = 'field_banner_image_text_color';
  $handler->display->display_options['fields']['field_banner_image_text_color']['table'] = 'field_data_field_banner_image_text_color';
  $handler->display->display_options['fields']['field_banner_image_text_color']['field'] = 'field_banner_image_text_color';
  $handler->display->display_options['fields']['field_banner_image_text_color']['label'] = '';
  $handler->display->display_options['fields']['field_banner_image_text_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_banner_image_text_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_banner_image_text_color']['type'] = 'list_key';
  /* Field: Content: Slide Text Background  */
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['id'] = 'field_banner_image_text_bkground';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['table'] = 'field_data_field_banner_image_text_bkground';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['field'] = 'field_banner_image_text_bkground';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['label'] = '';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['type'] = 'list_key';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Summary */
  $handler->display->display_options['fields']['field_featured_summary']['id'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['table'] = 'field_data_field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['field'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['label'] = '';
  $handler->display->display_options['fields']['field_featured_summary']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_featured_summary']['element_label_colon'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_basic_image_image']['id'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['table'] = 'field_data_field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['field'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['label'] = '';
  $handler->display->display_options['fields']['field_basic_image_image']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['path'] = '[field_ocio_link]';
  $handler->display->display_options['fields']['field_basic_image_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_basic_image_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_basic_image_image']['settings'] = array(
    'image_style' => 'ocio_slideshow_image',
    'image_link' => '',
  );
  /* Field: Content: Hide Title and Summary */
  $handler->display->display_options['fields']['field_disable_title']['id'] = 'field_disable_title';
  $handler->display->display_options['fields']['field_disable_title']['table'] = 'field_data_field_disable_title';
  $handler->display->display_options['fields']['field_disable_title']['field'] = 'field_disable_title';
  $handler->display->display_options['fields']['field_disable_title']['label'] = '';
  $handler->display->display_options['fields']['field_disable_title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_disable_title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_disable_title']['alter']['text'] = '<span class="hidden-meta">[field_basic_image_image]</span>
<span class="slide-meta element-invisible [field_banner_image_text_color] [field_banner_image_text_bkground]">
<span class="slide-title">[title]</span>
<span class="slide-summary">[field_featured_summary]</span>
</span>';
  $handler->display->display_options['fields']['field_disable_title']['alter']['max_length'] = '0';
  $handler->display->display_options['fields']['field_disable_title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['field_disable_title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['field_disable_title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_disable_title']['empty'] = '[field_basic_image_image]
<span class="slide-meta [field_banner_image_text_color] [field_banner_image_text_bkground]">
<span class="slide-title">[title]</span>
<span class="slide-summary">[field_featured_summary]</span>
</span>';
  $handler->display->display_options['fields']['field_disable_title']['empty_zero'] = TRUE;
  /* Field: Field: Link */
  $handler->display->display_options['fields']['field_ocio_link']['id'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['table'] = 'field_data_field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['field'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['label'] = '';
  $handler->display->display_options['fields']['field_ocio_link']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_ocio_link']['alter']['text'] = '<a href="[field_ocio_link]">[field_disable_title]</a>';
  $handler->display->display_options['fields']['field_ocio_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ocio_link']['empty'] = '[field_disable_title]';
  $handler->display->display_options['fields']['field_ocio_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_ocio_link']['type'] = 'link_plain';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Draggableviews: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'draggableviews_structure';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_view'] = 'featured_slideshow:page_1';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_new_items_bottom_list'] = 1;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'featured_slide' => 'featured_slide',
  );

  /* Display: Slideshow Workbench Tab Page */
  $handler = $view->new_display('page', 'Slideshow Workbench Tab Page', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Featured Slides';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'draggableviews' => 'draggableviews',
    'field_basic_image_image' => 'field_basic_image_image',
    'title' => 'title',
    'field_ocio_link' => 'field_ocio_link',
    'field_assign_to_slideshow' => 'field_assign_to_slideshow',
    'status' => 'status',
    'name' => 'name',
    'changed' => 'changed',
    'edit_node' => 'nothing',
    'nothing' => 'nothing',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'draggableviews' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_basic_image_image' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_ocio_link' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_assign_to_slideshow' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '&emsp;',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h2>%1</h2>
<ul class="action-links">
  <li><a href="/node/add/featured-slide?edit[field_assign_to_slideshow][und]=!1&destination=admin/workbench/slideshow/!1">Create New Slide</a></li>
  <li><a href="/admin/workbench/all?title=&type=featured_slide&published=All">View all slides</a></li>
</ul>


Drag slides to arrange the order in which they will appear in this slideshow.';
  $handler->display->display_options['header']['area_text_custom']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = '<ul class="action-links">
  <li><a href="/admin/structure/taxonomy/featured_slideshow/add?destination=admin/workbench/slideshow">Create New Slideshow</a></li>
  <li><a href="/node/add/featured-slide?destination=admin/workbench/slideshow">Create New Slide</a></li>
  <li><a href="/admin/workbench/all?title=&type=featured_slide&published=All">View all slides</a></li>
</ul>
';
  /* No results behavior: Global: View area */
  $handler->display->display_options['empty']['view']['id'] = 'view';
  $handler->display->display_options['empty']['view']['table'] = 'views';
  $handler->display->display_options['empty']['view']['field'] = 'view';
  $handler->display->display_options['empty']['view']['empty'] = TRUE;
  $handler->display->display_options['empty']['view']['view_to_insert'] = 'featured_slideshow_tags:attachment_1';
  $handler->display->display_options['empty']['view']['inherit_arguments'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Draggableviews: Content */
  $handler->display->display_options['fields']['draggableviews']['id'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['table'] = 'node';
  $handler->display->display_options['fields']['draggableviews']['field'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['label'] = 'Weight';
  $handler->display->display_options['fields']['draggableviews']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['ajax'] = 0;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_basic_image_image']['id'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['table'] = 'field_data_field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['field'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_basic_image_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_basic_image_image']['settings'] = array(
    'image_style' => 'medium',
    'image_link' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Field: Link */
  $handler->display->display_options['fields']['field_ocio_link']['id'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['table'] = 'field_data_field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['field'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ocio_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_ocio_link']['type'] = 'link_url';
  /* Field: Content: Published */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'node';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['not'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  /* Field: Content: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Last Updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'custom';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'm/d/y - g:ia';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'panopoly_day';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'm/d/y - g:ia';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'ocio_calendar_node';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Operations';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Draggableviews: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'draggableviews_structure';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_view'] = 'featured_slideshow:page_1';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_new_items_bottom_list'] = 1;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Has taxonomy term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'taxonomy_index';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['tid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['tid']['validate']['type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['tid']['validate_options']['vocabularies'] = array(
    'featured_slideshow' => 'featured_slideshow',
  );
  $handler->display->display_options['arguments']['tid']['validate']['fail'] = 'empty';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'featured_slide' => 'featured_slide',
  );
  $handler->display->display_options['path'] = 'admin/workbench/slideshow';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Slideshows';
  $handler->display->display_options['menu']['weight'] = '10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['featured_slideshow'] = $view;

  $view = new view();
  $view->name = 'featured_slideshow_tags';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'taxonomy_term_data';
  $view->human_name = 'Featured Slideshow Tags';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Featured Slideshows';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'nothing' => 'nothing',
    'edit_term' => 'nothing',
    'title' => 'title',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_term' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'This slideshow is currently empty.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Taxonomy term: Content using Assign to slideshow */
  $handler->display->display_options['relationships']['reverse_field_assign_to_slideshow_node']['id'] = 'reverse_field_assign_to_slideshow_node';
  $handler->display->display_options['relationships']['reverse_field_assign_to_slideshow_node']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['relationships']['reverse_field_assign_to_slideshow_node']['field'] = 'reverse_field_assign_to_slideshow_node';
  /* Field: Taxonomy term: Term ID */
  $handler->display->display_options['fields']['tid']['id'] = 'tid';
  $handler->display->display_options['fields']['tid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['tid']['field'] = 'tid';
  $handler->display->display_options['fields']['tid']['exclude'] = TRUE;
  /* Field: Taxonomy term: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Slideshow Name';
  $handler->display->display_options['fields']['name']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['path'] = 'admin/workbench/slideshow/[tid]';
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['path_case'] = 'lower';
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Operations';
  /* Field: Taxonomy term: Term edit link */
  $handler->display->display_options['fields']['edit_term']['id'] = 'edit_term';
  $handler->display->display_options['fields']['edit_term']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['edit_term']['field'] = 'edit_term';
  $handler->display->display_options['fields']['edit_term']['text'] = 'edit name';
  /* Sort criterion: Taxonomy term: Name */
  $handler->display->display_options['sorts']['name']['id'] = 'name';
  $handler->display->display_options['sorts']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['sorts']['name']['field'] = 'name';
  /* Filter criterion: Taxonomy vocabulary: Machine name */
  $handler->display->display_options['filters']['machine_name']['id'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['filters']['machine_name']['field'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['value'] = array(
    'featured_slideshow' => 'featured_slideshow',
  );

  /* Display: Attachment */
  $handler = $view->new_display('attachment', 'Attachment', 'attachment_1');
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Taxonomy term: Term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['tid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['tid']['validate']['type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['tid']['validate_options']['vocabularies'] = array(
    'featured_slideshow' => 'featured_slideshow',
  );
  $handler->display->display_options['arguments']['tid']['validate_options']['type'] = 'name';
  $handler->display->display_options['arguments']['tid']['validate']['fail'] = 'empty';
  $export['featured_slideshow_tags'] = $view;

  return $export;
}
