<?php
/**
 * @file
 * ocio_news.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_news_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ocio_news_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_custom_breadcrumb_features_default_settings().
 */
function ocio_news_custom_breadcrumb_features_default_settings() {
  $custom_breadcrumbs = array();

  // Exported custom breadcrumb: news.
  $custom_breadcrumbs['news'] = array(
    'name' => 'News',
    'titles' => 'News',
    'paths' => 'news',
    'visibility_php' => '',
    'node_type' => 'article',
    'language' => '',
    'machine_name' => 'news',
  );

  return $custom_breadcrumbs;
}

/**
 * Implements hook_custom_breadcrumbs_paths_features_default_settings().
 */
function ocio_news_custom_breadcrumbs_paths_features_default_settings() {
  $custom_breadcrumbs = array();

  // Exported custom breadcrumb: news_tags.
  $custom_breadcrumbs['news_tags'] = array(
    'name' => 'News Tags',
    'titles' => 'News
Tags',
    'paths' => 'news
news/tags',
    'visibility_php' => '',
    'specific_path' => 'tags/*',
    'language' => '',
    'machine_name' => 'news_tags',
  );

  return $custom_breadcrumbs;
}

/**
 * Implements hook_node_info().
 */
function ocio_news_node_info() {
  $items = array(
    'article' => array(
      'name' => t('News Article'),
      'base' => 'node_content',
      'description' => t('Use for time-sensitive announcements and/or information that is updated more frequently. '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
