<?php

/**
 * Generates the whitelist editing form.
 */
function ocio_simplesamlphp_auth_whitelist_form($form, &$form_state, $whitelist_item, $op = 'edit', $entity_type = NULL) {

  if ($op == 'clone') {
    // Only label is provided for cloned entities.
    $whitelist_item->label .= ' (cloned)';
    $whitelist_item->type = $entity_type . '_clone';
  }
  $form['whitelist_item'] = array(
    '#title' => t('Add User to Whitelist'),
    '#type' => 'fieldset',
  );
  $form['whitelist_item']['username'] = array(
    '#title' => t('Username'),
    '#type' => 'textfield',
    '#default_value' => isset($whitelist_item->username) ? $whitelist_item->username : '',
  );
  $form['whitelist_item']['roleid'] = array(
    '#title' => t('Role'),
    '#type' => 'select',
    '#options' => user_roles(),
    '#default_value' => isset($whitelist_item->roleid) ? $whitelist_item->roleid : '',
  );
  $form['whitelist_item']['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
    '#weight' => 40,
  );
  return $form;
}

/**
 * Form API submit callback for the whitelist form.
 */
function ocio_simplesamlphp_auth_whitelist_form_submit(&$form, &$form_state) {
  $whitelist_item = entity_ui_form_submit_build_entity($form, $form_state);
  // Save and go back.
  $whitelist_item->save();
  $form_state['redirect'] = 'admin/config/people/simplesamlphp_auth/ocio_simplesamlphp_auth_whitelist';
}
