<?php

/**
 * @file
 * Contains the theme function override for breadcrumb
 */

/**
 * Returns HTML for breadcrumbs.
 *
 * @ingroup themeable
 */

 /**
 * Implements theme_breadcrumb().
 */
function wcm_omega_breadcrumb($vars) {
  $breadcrumb = $vars['breadcrumb'];
  $path = current_path();

  if ($count = count($breadcrumb)) {
    $breadcrumb[$count - 1] = l(menu_get_active_title(), $path, array('attributes' => array('aria-current' => 'page')));
  }

  // Change breadcrumb (and page title) on webform confirmation pages.
  if (drupal_match_path($path, 'node/*/done')) {
    $page = menu_get_item();
    $node = $page['page_arguments'][0];
    drupal_set_title($node->title . ' submitted');
    $breadcrumb[$count - 2] = l($node->title, 'node/' . $node->nid);
  }

  if (!empty($breadcrumb)) {
    // Provide a navigational heading to give context for breadcrumb links to
    // screen-reader users. Make the heading invisible with .element-invisible.
    $output = '<nav aria-labelledby="breadcrumb-label"><h2 id="breadcrumb-label" class="element-invisible">' . t('Breadcrumb navigation') . '</h2>';

    // Override Drupal core breadcrumb item imploding (no arrow).
    $output .= '<ul class="breadcrumb"><li>' . implode('</li><li>', $breadcrumb) . '</li></ul></nav>';
    return $output;
  }
}
